draw_trans_rle_sprite(3)

NAME
draw_trans_rle_sprite

SYNOPSIS
#include <allegro.h>

void draw_trans_rle_sprite(BITMAP *bmp, const RLE_SPRITE *sprite, int x, int y);

DESCRIPTION
Translucent version of draw_rle_sprite(). See the description of draw_trans_sprite(). This must only be used after you have set up the color mapping table (for 256 color modes) or blender functions (for truecolor modes). The bitmap and sprite must normally be in the same color depth, but as a special case you can draw 32 bit RGBA format sprites onto any hicolor or truecolor bitmap, as long as you call set_alpha_blender() first.

SEE ALSO
draw_rle_sprite(3), draw_lit_rle_sprite(3), draw_trans_sprite(3), color_map(3), set_trans_blender(3), set_alpha_blender(3), bitmap_mask_color(3)